# Uses of Interface
writer2latex.api.GraphicConverter

Packages that use GraphicConverter
Package
Description
org.openoffice.da.comp.w2lcommon.filter
writer2latex.api
writer2latex.base

## Uses of GraphicConverter in org.openoffice.da.comp.w2lcommon.filter

Classes in org.openoffice.da.comp.w2lcommon.filter that implement GraphicConverter
Modifier and Type
Class
Description
`class`
`GraphicConverterImpl`
`class`
`GraphicConverterImpl1`
A GraphicConverter implementation which uses the GraphicProvider service to convert the graphic.
`class`
`GraphicConverterImpl2`
A GraphicConverter implementation which uses a hidden Draw document to store the graphic, providing more control over the image than the simple GraphicProvider implementation.

## Uses of GraphicConverter in writer2latex.api

Methods in writer2latex.api with parameters of type GraphicConverter
Modifier and Type
Method
Description
`void`
Converter.`setGraphicConverter(GraphicConverter gc)`
Define a `GraphicConverter` implementation to use for conversion of graphic files.

## Uses of GraphicConverter in writer2latex.base

Fields in writer2latex.base declared as GraphicConverter
Modifier and Type
Field
Description
`protected GraphicConverter`
ConverterBase.`graphicConverter`
Methods in writer2latex.base with parameters of type GraphicConverter
Modifier and Type
Method
Description
`void`
ConverterBase.`setGraphicConverter(GraphicConverter graphicConverter)`
`void`
ImageConverter.`setGraphicConverter(GraphicConverter gcv)`
Define the `GraphicConverter` to use for image conversion